# module load openmpi/4.1.3

# start spack
. $HOME/zen2_dec/dec_spack/share/spack/setup-env.sh

# module load gcc/7.1.0
LIBCONFIG_VER=libconfig@1.5
LIBXML2_VER=libxml2@2.9.4
JANSSON_VER=jansson@2.7
LIBPNG_VER=libpng@1.6.34 

spack load $LIBCONFIG_VER $LIBXML2_VER $JANSSON_VER $LIBPNG_VER # texinfo@5.0

HDF5_DIR="/qfs/people/tang584/install/hdf5"
HDF5_BIN="$HDF5_DIR/bin"
HDF5_LIB="$HDF5_DIR/lib"
HDF5_INCLUDE="$HDF5_DIR/include"
PATH="${HDF5_BIN}:${PATH}"
LD_LIBRARY_PATH="${HDF5_LIB}:${LD_LIBRARY_PATH}"
C_INCLUDE_PATH="${HDF5_INCLUDE}:${C_INCLUDE_PATH}"
HDF5_PKG_CONFIG_PATH="$HDF5_DIR/lib/pkgconfig"
PKG_CONFIG_PATH="${HDF5_PKG_CONFIG_PATH}:${PKG_CONFIG_PATH}"

NETCDFC_DIR="/qfs/people/tang584/install/netcdf-c"
NETCDFC_BIN="$NETCDFC_DIR/bin"
NETCDFC_LIB="$NETCDFC_DIR/lib64"
NETCDFC_INCLUDE="$NETCDFC_DIR/include"
PATH="${NETCDFC_BIN}:${PATH}"
LD_LIBRARY_PATH="${NETCDFC_LIB}:${LD_LIBRARY_PATH}"
C_INCLUDE_PATH="${NETCDFC_INCLUDE}:${C_INCLUDE_PATH}"
NETCDFC_PKG_CONFIG_PATH="$NETCDFC_DIR/lib/pkgconfig"
PKG_CONFIG_PATH="${NETCDFC_PKG_CONFIG_PATH}:${PKG_CONFIG_PATH}"

LIBCONFIG_DIR=`spack find -p $LIBXML2_VER | awk 'NR>1 {print $NF}'`
LD_LIBRARY_PATH="${LIBCONFIG_DIR}:${LD_LIBRARY_PATH}"

JANSSON_DIR=`spack find -p $JANSSON_VER | awk 'NR>1 {print $NF}'`
LD_LIBRARY_PATH="${JANSSON_DIR}:${LD_LIBRARY_PATH}"